package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 欢迎语媒体表(TabHaobanWelcomeMedia)实体类
 *
 * @author xugaojun
 * @since 2022-02-09 14:47:20
 */
public class TabHaobanWelcomeMedia implements Serializable {
    private static final long serialVersionUID = -15936685674419727L;
    /**
    * 欢迎语媒体id
    */
    private Long welcomeMediaId;
    /**
    * 微信企业id
    */
    private String wxEnterpriseId;
    /**
    * 欢迎语id
    */
    private String welcomeId;
    /**
    * 媒体类型 1图片 2视频 3文件
    */
    private Integer mediaType;
    /**
    * 媒体文件路径,保存上传路径
    */
    private String mediaUrl;
    /**
    * 创建时间
    */
    private Date createTime;
    /**
    * 更新时间
    */
    private Date updateTime;
    /**
    * 是否删除0否1是
    */
    private Integer deleteFlag;


    public Long getWelcomeMediaId() {
        return welcomeMediaId;
    }

    public void setWelcomeMediaId(Long welcomeMediaId) {
        this.welcomeMediaId = welcomeMediaId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}
